<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.inventario.dialogs.ask_info_inventario.DialogAskInfoInventarioView" />
    </data>

    <androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
        android:orientation="vertical" android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        app:cardCornerRadius="16dp"
        app:cardElevation="0dp">


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="16dp"
            android:paddingVertical="16dp">

            <androidx.appcompat.widget.AppCompatImageView
                style="@style/MaterialAlertDialog.Material3.Title.Icon.CenterStacked"
                android:layout_width="36dp"
                android:layout_height="36dp"
                android:src="@drawable/ic_error_white_24dp"
                app:tint="?colorPrimary" />


            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title_text"
                style="@style/MaterialAlertDialog.Material3.Title.Text.CenterStacked"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:layout_marginBottom="16dp"
                android:text="Info inventario" />


            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/input_inventory_id"
                style="@style/TextInputLayout.OutlinePrimary"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/inventory_id"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/description_text">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/input_password"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:binding="@{view.inventoryId}"
                    android:inputType="number"/>

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/input_zone"
                style="@style/TextInputLayout.OutlinePrimary"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/zone"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/input_inventory_id">

                <com.google.android.material.textfield.TextInputEditText
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:singleLine="true"
                    app:binding="@{view.zone}" />

            </com.google.android.material.textfield.TextInputLayout>



        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.cardview.widget.CardView>
</layout>